| GET | /RestApi/recycle-bin/items |
|---|
"use strict";
export class FindRecycleBinItems {
/** @param {{Skip?:number,Take?:number,OrderExpression?:string,TypeName?:string,SearchText?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {?number} */
Skip;
/** @type {?number} */
Take;
/** @type {string} */
OrderExpression;
/** @type {string} */
TypeName;
/** @type {string} */
SearchText;
}
JavaScript FindRecycleBinItems DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfRecycleBinItemProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.RecycleBin.Services.Dto">
<RecycleBinItemProxy>
<DataItemId>00000000-0000-0000-0000-000000000000</DataItemId>
<DateCreated>0001-01-01T00:00:00</DateCreated>
<DisplayTypeName>String</DisplayTypeName>
<Id>00000000-0000-0000-0000-000000000000</Id>
<ItemLanguage>String</ItemLanguage>
<ItemTitle>String</ItemTitle>
<ItemTypeName>String</ItemTypeName>
<OwnerName>String</OwnerName>
<ParentTitlesPath>String</ParentTitlesPath>
<ParentTypeName>String</ParentTypeName>
<ProviderName>String</ProviderName>
<Status>String</Status>
<StatusText>String</StatusText>
</RecycleBinItemProxy>
</ArrayOfRecycleBinItemProxy>